Citrix ADC and Citrix NetScaler Gateway Multiple Vulnerabilities (CTX276688) (Direct Check)

medium Nessus Plugin ID 139082

Synopsis

The remote web application is affected by a path traversal leading to a remote code execution vulnerability.

Description

The version of Citrix ADC or Citrix NetScaler Gateway SSL VPN running on the remote web server is affected by an authorization bypass vulnerability. An unauthenticated remote attacker with access to the NSIP/management interface can exploit this to bypass authorization.

Please refer to advisory CTX276688 for more information.

Solution

Refer to vendor documentation for security updates.

See Also

https://support.citrix.com/article/CTX276688

Plugin Details

Severity: Medium

ID: 139082

File Name: citrix_CTX276688_direct_check.nbin

Version: 1.25

Type: remote

Family: CGI abuses

Published: 7/30/2020

Updated: 12/5/2022

Configuration: Enable thorough checks

Risk Information

VPR

Risk Factor: Medium

Score: 4

CVSS v2

Risk Factor: Medium

Base Score: 5

Temporal Score: 4.3

Vector: AV:N/AC:L/Au:N/C:N/I:P/A:N

Temporal Vector: E:H/RL:OF/RC:C

CVSS Score Source: CVE-2020-8193

CVSS v3

Risk Factor: Medium

Base Score: 6.5

Temporal Score: 6.2

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:N

Temporal Vector: E:H/RL:O/RC:C

Vulnerability Information

CPE: cpe:/o:citrix:netscaler_access_gateway_firmware

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 7/7/2020

Vulnerability Publication Date: 7/7/2020

CISA Known Exploited Dates: 5/3/2022

Reference Information

CVE: CVE-2020-8193

IAVA: 2020-A-0286-S

CEA-ID: CEA-2020-0129, CEA-2020-0057